
CREATE TABLE ND_adminusers (
       userID               INT NOT NULL,
       email                varchar(100),
       password             varchar(20),
       firstname            VARCHAR(50),
       lastname             varchar(50),
       status               CHAR(1)
);

CREATE UNIQUE INDEX XPKND_adminusers ON ND_adminusers
(
       userID
);


ALTER TABLE ND_adminusers
       ADD PRIMARY KEY (userID);


CREATE TABLE ND_bouncelog (
       newsletterID         INT,
       subscriberID         INT,
       listID               INT,
       audit_dt             VARCHAR(30)
);


CREATE TABLE ND_clients (
       clientID             INT NOT NULL,
       clientname           varchar(100),
       description          varchar(255)
);

CREATE UNIQUE INDEX XPKND_clients ON ND_clients
(
       clientID
);


ALTER TABLE ND_clients
       ADD PRIMARY KEY (clientID);


CREATE TABLE ND_defaultsubscribers (
       email                VARCHAR(100),
       firstname            varchar(100),
       lastname             varchar(100),
       passwordhash         varchar(50),
       subscriberID         INT,
       audit_upd_dt         VARCHAR(30)
);

CREATE UNIQUE INDEX XPKND_defaultsubscribers ON ND_defaultsubscribers
(
       subscriberID
);


ALTER TABLE ND_defaultsubscribers
       ADD PRIMARY KEY (subscriberID);


CREATE TABLE ND_emailimages (
       imageID              INT NOT NULL,
       filename             varchar(255),
       filetype             varchar(255),
       rec_status           CHAR(1),
       audit_dt             VARCHAR(30),
       imgwidth             INT,
       imgheight            INT,
       description          varchar(255),
       userID               INT,
       image                image
);

CREATE UNIQUE INDEX XPKND_emailimages ON ND_emailimages
(
       imageID
);


ALTER TABLE ND_emailimages
       ADD PRIMARY KEY (imageID);


CREATE TABLE ND_emaillists (
       listID               INT NOT NULL,
       listName             varchar(15),
       audit_date           VARCHAR(30),
       rec_status           CHAR(1),
       userID               INT,
       senderemail          varchar(100),
       poppassword          varchar(100),
       sendername           varchar(100),
       testemail            varchar(100),
       returnurl            varchar(255),
       company              VARCHAR(100),
       description          varchar(255),
       unsubscribepage      text,
       popusername          varchar(100),
       popserver            VARCHAR(255),
       smtpserver           VARCHAR(255),
       bounceemail          VARCHAR(100),
       bouncepopusername    VARCHAR(100),
       bouncepoppassword    VARCHAR(100),
       bouncepopserver      VARCHAR(255),
       typeid               INT
);

CREATE UNIQUE INDEX XPKND_emaillists ON ND_emaillists
(
       listID
);


ALTER TABLE ND_emaillists
       ADD PRIMARY KEY (listID);


CREATE TABLE ND_formatbody (
       formatID             INT,
       listID               INT,
       typeid               INT,
       formatbody           text
);

CREATE UNIQUE INDEX XPKND_formatbody ON ND_formatbody
(
       formatID,
       listID,
       typeid
);


ALTER TABLE ND_formatbody
       ADD PRIMARY KEY (formatID, listID, typeid);


CREATE TABLE ND_listformat (
       formatID             INT NOT NULL,
       formatname           varchar(255),
       listID               INT NOT NULL
);

CREATE UNIQUE INDEX XPKND_listformat ON ND_listformat
(
       formatID,
       listID
);


ALTER TABLE ND_listformat
       ADD PRIMARY KEY (formatID, listID);


CREATE TABLE ND_newsletter (
       newsletterID         INT NOT NULL,
       listID               INT,
       audit_insert_dt      VARCHAR(30),
       rec_status           CHAR(1),
       title                VARCHAR(255),
       sent_date            VARCHAR(30)
);

CREATE UNIQUE INDEX XPKND_newsletter ON ND_newsletter
(
       newsletterID
);


ALTER TABLE ND_newsletter
       ADD PRIMARY KEY (newsletterID);


CREATE TABLE ND_newsletterbody (
       newsletterID         INT,
       typeid               INT,
       newsletterbody           text
);

CREATE UNIQUE INDEX XPKND_newsletterbody ON ND_newsletterbody
(
       newsletterID,
       typeid
);


ALTER TABLE ND_newsletterbody
       ADD PRIMARY KEY (newsletterID, typeid);


CREATE TABLE ND_props (
       propvalue            VARCHAR(255),
       name                 VARCHAR(80) NOT NULL
);

CREATE UNIQUE INDEX XPKND_props ON ND_props
(
       name
);


ALTER TABLE ND_props
       ADD PRIMARY KEY (name);


CREATE TABLE ND_sentlog (
       rec_status           CHAR(1),
       audit_dt             varchar(30),
       listID               INT,
       newsletterID         INT,
       msg                  VARCHAR(255),
       subscriberID         INT
);

CREATE UNIQUE INDEX XPKND_sentlog ON ND_sentlog
(
       listID,
       newsletterID,
       subscriberID
);


ALTER TABLE ND_sentlog
       ADD PRIMARY KEY (listID, newsletterID, subscriberID);


CREATE TABLE ND_subscribers (
       subscriberID         INT NOT NULL,
       email                VARCHAR(150),
       genkey               VARCHAR(10),
       regdate              varchar(30),
       rec_status           CHAR(1),
       clientID             INT
);

CREATE UNIQUE INDEX XPKND_subscribers ON ND_subscribers
(
       subscriberID
);


ALTER TABLE ND_subscribers
       ADD PRIMARY KEY (subscriberID);


CREATE TABLE ND_subscriberslink (
       subscriberID         INT,
       uid                  VARCHAR(255),
       updatekey            varchar(10),
       sourceID             INT
);

CREATE UNIQUE INDEX XPKND_subscriberslink ON ND_subscriberslink
(
       sourceID,
       subscriberID,
       uid
);


ALTER TABLE ND_subscriberslink
       ADD PRIMARY KEY (sourceID, subscriberID, uid);


CREATE TABLE ND_subscribersourceprop (
       name                 varchar(100) NOT NULL,
       sourcevalue          varchar(100),
       sourceID             INT
);

CREATE UNIQUE INDEX XPKND_subscribersourceprop ON ND_subscribersourceprop
(
       name,
       sourceID
);


ALTER TABLE ND_subscribersourceprop
       ADD PRIMARY KEY (name, sourceID);


CREATE TABLE ND_subscribersources (
       sourceID             INT NOT NULL,
       sourcename           VARCHAR(100),
       sourcetype           INT,
       sourcepriority       INT
);

CREATE UNIQUE INDEX XPKND_subscribersources ON ND_subscribersources
(
       sourceID
);


ALTER TABLE ND_subscribersources
       ADD PRIMARY KEY (sourceID);


CREATE TABLE ND_subscriptionrpt (
       listID               INT,
       yyear                INT,
       ymonth               INT,
       yday                 INT,
       subscriptions        INT,
       unsubscriptions      INT
);

CREATE UNIQUE INDEX XPKND_subscriptionrpt ON ND_subscriptionrpt
(
       listID,
       yyear,
       ymonth,
       yday
);


ALTER TABLE ND_subscriptionrpt
       ADD PRIMARY KEY (listID, yyear, ymonth, yday);


CREATE TABLE ND_subscriptions (
       listID               INT,
       rec_status           CHAR(1),
       audit_insert_dt      DATE,
       subscriberID         INT
);

CREATE UNIQUE INDEX XPKND_subscriptions ON ND_subscriptions
(
       listID,
       subscriberID
);


ALTER TABLE ND_subscriptions
       ADD PRIMARY KEY (listID, subscriberID);


CREATE TABLE ND_zone (
       showDescription      CHAR(1),
       informationheader    VARCHAR(255),
       informationfooter    VARCHAR(255),
       requestname          CHAR(1),
       width                INT,
       height               INT,
       cssstyle             VARCHAR(1000),
       formemail            VARCHAR(30),
       formname             varchar(20),
       zoneID               INT NOT NULL,
       integrateform        CHAR(1),
       zoneName             VARCHAR(255)
);

CREATE UNIQUE INDEX XPKND_zone ON ND_zone
(
       zoneID
);


ALTER TABLE ND_zone
       ADD PRIMARY KEY (zoneID);


CREATE TABLE ND_zonelists (
       listID               INT,
       zoneID               INT
);

CREATE UNIQUE INDEX XPKND_zonelists ON ND_zonelists
(
       listID,
       zoneID
);


ALTER TABLE ND_zonelists
       ADD PRIMARY KEY (listID, zoneID);
